Name:             joni
Version:          1.1.2
Release:          1%{?dist}
Summary:          Java regular expression library
Group:            Development/Libraries
License:          MIT
URL:              http://jruby.codehaus.org/
# The source for this package was pulled from upstream's vcs. Use the
# following commands to generate the tarball:
#   svn export http://svn.codehaus.org/jruby/joni/tags/1.0.3/ joni-1.0.3
#   tar -cjf joni-1.0.3.tar.bz2 joni-1.0.3
Source0:          %{name}-%{version}.tar.bz2
Patch0:           joni-set-java-5_0-target-and-source.patch
Patch1:           joni-include-objectweb-asm.patch
Patch2:           joni-1.1.1-include-all-build_lib.diff
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    ant
BuildRequires:    java-devel >= 1.5
BuildRequires:    jcodings
BuildRequires:    jpackage-utils
BuildRequires:    junit
BuildRequires:    objectweb-asm
Requires:         java >= 1.5
Requires:         jpackage-utils
Requires:         junit
Requires:         objectweb-asm

#%if 0%{?fedora} > 9
#BuildArch:        noarch
#%else
BuildRequires:    java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
#%endif


%description
joni is a port of Oniguruma, a regular expressions library,
to java. It is used by jruby.


%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2
mkdir build_lib
build-jar-repository -s -p build_lib objectweb-asm/asm jcodings


%build
ant build


%install
rm -rf %{buildroot}

# jars
install -d -m 755 %{buildroot}%{_javadir}
# install unversioned jar as per Java Packaging Guidelines
install -m 644 target/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar

#%if 0%{?fedora} <= 9
%{_bindir}/aot-compile-rpm
#%endif


#%if 0%{?fedora} <= 9
%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
#%endif


#%if 0%{?fedora} <= 9
%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
#%endif


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc pom.xml
%{_javadir}/%{name}.jar

#%if 0%{?fedora} <= 9
%{_libdir}/gcj/%{name}
#%endif


%changelog
* Fri Dec 12 2008 Conrad Meyer <konrad@tylerc.org> - 1.1.2-1
- Bump to 1.1.2.

* Fri Nov 28 2008 Conrad Meyer <konrad@tylerc.org> - 1.1.1-1
- Bump to 1.1.1.

* Sun Aug 31 2008 Conrad Meyer <konrad@tylerc.org> - 1.0.3-1
- Official 1.0.3 release.

* Sat Jul 19 2008 Conrad Meyer <konrad@tylerc.org> - 1.0.3-0.3.svn7235
- Build AOT bits.

* Sat Jul 19 2008 Conrad Meyer <konrad@tylerc.org> - 1.0.3-0.2.svn7235
- Bump revision because of stupid packager's mistake.

* Sat Jul 19 2008 Conrad Meyer <konrad@tylerc.org> - 1.0.3-0.1.svn7235
- Bump to trunk version of joni for JRuby 1.1.3.
- Switch to noarch for fc10 and up.

* Sat Apr 5 2008 Conrad Meyer <konrad@tylerc.org> - 1.0.2-4
- Compile AOT bits.

* Sun Mar 16 2008 Conrad Meyer <konrad@tylerc.org> - 1.0.2-3
- Bump to 1.0.2.
- Add pom.xml to doc.
- Install unversioned jar.

* Sun Mar 2 2008 Conrad Meyer <konrad@tylerc.org> - 1.0.1-2
- joni is MIT, not BSD.
- Require java and BuildRequire java-devel, not icedtea.

* Sun Mar 2 2008 Conrad Meyer <konrad@tylerc.org> - 1.0.1-1
- Initial package.
